<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <LinearLayout
        android:id="@+id/simpleLogin_linearLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <kr.co.hanwha.hifive.view.FontTextView
            android:id="@+id/guide_textView"
            style="@style/font_notosans_r_13sp_8e8e8e"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="150dp"
            android:layout_weight="0"
            android:gravity="center"
            android:lineSpacingExtra="3dp"
            android:minHeight="19dp"
            android:text="@string/auth_number_guide_login" />

        <kr.co.hanwha.hifive.view.HFPasswordEditTextView
            android:id="@+id/passwordEditText"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="19dp"
            android:layout_weight="0" />

        <kr.co.hanwha.hifive.view.FontTextView
            android:id="@+id/alert_textView"
            style="@style/font_notosans_r_11sp_ec4648"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:layout_weight="0"
            android:gravity="center"
            android:lineSpacingExtra="3dp"
            android:minHeight="15dp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <kr.co.hanwha.hifive.view.HFNumberKeypadView
                android:id="@+id/numberKeypadView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/accountLogin_linearLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:orientation="vertical"
        android:visibility="gone">

        <ScrollView
            android:id="@+id/scrollView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fadingEdgeLength="0dp"
            android:overScrollMode="never"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="56dp"
                android:layout_marginRight="56dp"
                android:gravity="center_horizontal"
                android:orientation="vertical">

                <kr.co.hanwha.hifive.view.HFAlertEditTextView
                    android:id="@+id/id_alertEditText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="198dp"
                    app:clearButton="true"
                    app:editTitle="@string/login_hint_id" />

                <kr.co.hanwha.hifive.view.HFAlertEditTextView
                    android:id="@+id/pw_alertEditText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="23dp"
                    app:editTitle="@string/login_hint_pw"
                    app:eyeButton="true"
                    app:inputType="password" />

                <Button
                    android:id="@+id/start_button"
                    style="@style/font_notosans_b_13sp_000000"
                    android:layout_width="match_parent"
                    android:layout_height="48dp"
                    android:layout_marginBottom="15dp"
                    android:layout_marginTop="32dp"
                    android:background="@drawable/button_rectangle_bg"
                    android:text="@string/login_text_start"
                    android:textColor="@drawable/button_rectangle_text" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="40dp"
                    android:gravity="center"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <kr.co.hanwha.hifive.view.FontTextView
                        android:id="@+id/signup_textView"
                        style="@style/font_notosans_r_12sp_b2b5bb"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="5dp"
                        android:text="@string/intro_signup" />

                    <View
                        android:id="@+id/divider_view"
                        android:layout_width="0.5dp"
                        android:layout_height="7dp"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:background="@drawable/button_member_line_selected"
                        android:duplicateParentState="true" />

                    <kr.co.hanwha.hifive.view.FontTextView
                        android:id="@+id/resetPassword_textView"
                        style="@style/font_notosans_r_12sp_b2b5bb"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="5dp"
                        android:text="@string/intro_reset_password" />
                </LinearLayout>
            </LinearLayout>
        </ScrollView>
    </LinearLayout>

    <ImageView
        android:id="@+id/icon_imageView"
        android:layout_width="@dimen/intro_icon_large_width"
        android:layout_height="@dimen/intro_icon_large_width"
        android:layout_centerInParent="true"
        android:src="@mipmap/logo" />

    <LinearLayout
        android:id="@+id/intro_linearLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:gravity="center"
        android:orientation="vertical">

        <ProgressBar
            android:id="@+id/progressbar"
            style="?android:attr/progressBarStyleSmall"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="34.5dp"
            android:layout_marginTop="38dp"
            android:src="@mipmap/temp_logotype_quest" />
    </LinearLayout>

    <kr.co.hanwha.hifive.view.FontTextView
        android:id="@+id/hint_textView"
        style="@style/font_notosans_b_13sp_000000"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="30dp"
        android:gravity="center"
        android:lineSpacingExtra="3dp"
        android:padding="10dp"
        android:visibility="gone" />

    <kr.co.hanwha.hifive.view.FontTextView
        android:id="@+id/revision_textView"
        style="@style/font_notosans_r_12sp_grey24"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_alignParentRight="true"
        android:layout_marginBottom="16dp"
        android:background="@color/white"
        android:gravity="center"
        android:text="YYYYMMDDNN"
        android:visibility="invisible" />

    <View
        android:id="@+id/admin_view"
        android:layout_width="60dp"
        android:layout_height="60dp"
        android:layout_alignParentBottom="true" />
</RelativeLayout>